V11.0

post

/ec-designer-ors-svc/rest/v11.0/studies/{studyId}/versions/{version}/kits

Creates a design-time kit type and persists combination kit dosing member mappings when requested.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : advancedDosingGroups
Type: array
Show Source
Nested Schema : combinationKitTypes
Type: array
Show Source
Nested Schema : dosings
Type: array
Show Source
Nested Schema : exceptions
Type: array
Show Source
Nested Schema : KitSettingsDto v12.0
Type: object
Title: KitSettingsDto v12.0
Contains settings information on the kit.
Show Source
Nested Schema : kitTitrations
Type: array
Show Source
Nested Schema : KitUnitSettingsDto v12.0
Type: object
Title: KitUnitSettingsDto v12.0
Contains unit settings information on the kit.
Show Source
Nested Schema : memberKitTypeIds
Type: array
Show Source
Nested Schema : Advanced Dosing Group v12.0
Type: object
Title: Advanced Dosing Group v12.0
Advanced Dosing Group details
Show Source
Nested Schema : Group criteria
Type: array
Group criteria
Show Source
Nested Schema : Kit settings
Type: array
Kit settings
Show Source
Nested Schema : Advanced Dosing Group Criteria v12.0
Type: object
Title: Advanced Dosing Group Criteria v12.0
Advanced Dosing Group Criteria details
Show Source
Nested Schema : Answer
Type: array
Answer for choice question name
Show Source
Example:
Female
Nested Schema : Advanced Dosing Rule v12.0
Type: object
Title: Advanced Dosing Rule v12.0
Advanced Dosing rule details
Show Source
Nested Schema : Generic Attribute v12.0
Type: object
Title: Generic Attribute v12.0
Generic attribute name, value and label details
Show Source
Example:
Female
Nested Schema : RangeRuleValues
Type: object
Range rule upper boundary details
Show Source
Nested Schema : Advanced Dosing Kit Settings v12.0
Type: object
Title: Advanced Dosing Kit Settings v12.0
Advanced Dosing Kit Settings details
Show Source
Nested Schema : combinationKitTypes
Type: array
Combination kit member types for the kit
Show Source
Nested Schema : dosings
Type: array
Calculated dosing definitions for the kit
Show Source
Nested Schema : Combination Kit Member v12.0
Type: object
Title: Combination Kit Member v12.0
Combination kit member details
Show Source
Nested Schema : KitDosingDto v12.0
Type: object
Title: KitDosingDto v12.0
Information on a calculated dose.
Show Source
Nested Schema : KitDosingDoseDto v12.0
Type: object
Title: KitDosingDoseDto v12.0
Dose information on the calculated dose.
Show Source
Nested Schema : KitDosingMeasurementDto v12.0
Type: object
Title: KitDosingMeasurementDto v12.0
Kit and subject measurement information on a calculated dose.
Show Source
Nested Schema : KitDosingQuestionDto v12.0
Type: object
Title: KitDosingQuestionDto v12.0
Form and question information on the calculated dose.
Show Source
Nested Schema : KitDosingVisitDto v12.0
Type: object
Title: KitDosingVisitDto v12.0
Visit information on the calculated dose.
Show Source
Nested Schema : KitDosingValueUnitsDto v12.0
Type: object
Title: KitDosingValueUnitsDto v12.0
Describes the value/unit pair of the measurement on the calculated dose.
Show Source
Nested Schema : KitTitrationsDto v12.0
Type: object
Title: KitTitrationsDto v12.0
Contains titrations information on the titration kit.
Show Source
Nested Schema : TitrationKitItemsDto V12.0
Type: object
Title: TitrationKitItemsDto V12.0
Titration Kit Items
Show Source
Nested Schema : titrationKitItems
Type: array
Show Source
Nested Schema : TitrationKitItemDto V12.0
Type: object
Title: TitrationKitItemDto V12.0
Titration Kit Item
Show Source
Nested Schema : dosings
Type: array
Show Source
Back to Top

Response

Supported Media Types

200 Response

Combination kit design was created.
Body ()
Root Schema : CombinationKitDesignResponseV12
Type: object
Design-time kit type response with combination kit dosing fields.
Show Source
Nested Schema : memberKitTypes
Type: array
Show Source
Nested Schema : CombinationKitMemberV12
Type: object
Member kit type selected for a combination kit.
Show Source

400 Response

Combination kit design validation failed.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top